REM ============                                    NOSview [137]
REM !INSTALL.BAT
REM ============

REM  Installation script to build a working NOS environment.

REM  Copies files from the NOSFILES directory into their correct
REM  NOS directories.

REM  N.B.  This script attempts to create many directories.
REM        Ignore any "Access denied" error messages which
REM        might appear during installation; they simply
REM        mean that directory creation was unsuccessful
REM        because the directory already existed.

REM  Before running this script, check the SET statements on the
REM  next two lines, and change if necessary.

SET  NOSFILES=c:\nos\public\nosview\nosfiles
SET  NOSROOT=c:\nos

MD   %NOSROOT

COPY %NOSFILES\nosenv.bat   C:\nosenv.bat
COPY %NOSFILES\startnos.bat %NOSROOT

REM  Copy NOS, ELM, BM and other executables
COPY %NOSFILES\*.exe        %NOSROOT

COPY %NOSFILES\alias        %NOSROOT
COPY %NOSFILES\areas        %NOSROOT
COPY %NOSFILES\autoexec.nos %NOSROOT
COPY %NOSFILES\bm.rc        %NOSROOT
COPY %NOSFILES\domain.txt   %NOSROOT
COPY %NOSFILES\elm.rc       %NOSROOT
COPY %NOSFILES\ftpusers     %NOSROOT
COPY %NOSFILES\net.rc       %NOSROOT
COPY %NOSFILES\popusers     %NOSROOT
COPY %NOSFILES\rewrite      %NOSROOT
COPY %NOSFILES\startnos.bat %NOSROOT

MD   %NOSROOT\dump
MD   %NOSROOT\dump\netrom
MD   %NOSROOT\dump\record
MD   %NOSROOT\dump\trace

MD   %NOSROOT\finger
COPY %NOSFILES\bob          %NOSROOT\finger\bob

MD   %NOSROOT\public
MD   %NOSROOT\public\nosview
MD   %NOSROOT\public\nosview\nosfiles
MD   %NOSROOT\public\tmp

MD   %NOSROOT\scripts
MD   %NOSROOT\scripts\dialer
MD   %NOSROOT\scripts\source
MD   %NOSROOT\scripts\tnc
COPY %NOSFILES\fkeys.*      %NOSROOT\scripts\source

MD   %NOSROOT\spool

MD   %NOSROOT\spool\help
COPY %NOSFILES\*.HLP        %NOSROOT\spool\help

MD   %NOSROOT\spool\mail
MD   %NOSROOT\spool\mqueue
MD   %NOSROOT\spool\news
MD   %NOSROOT\spool\rqueue

MD   %NOSROOT\spool\signatur
COPY %NOSFILES\bob.sig      %NOSROOT\spool\signatur
